I'm sorry to have to ask such a basic question, but there doesn't seem to be any documentation available at all - the documentation link in the read me and on the project page just goes to the handbook page for the main Internationalization module, not this one. And that section has no reference to this module except for a page in the Drupal 6 with no text except for links to a handful of taxonomy-related issues in the issues queue - nothing on how to actually use the module in general.

I don't see anywhere in the views editing interface where I can enter translations, nor does any of the text from my views show up in the main translation interface. I did find, when searching the issue queue, one reference to there having been at one point a "translate" item in the contextual menu you see when hovering over a view, but that doesn't seem to be there any more.

So please, someone - how are you supposed to translate your views with this module? I will happily create a handbook page explaining it for others so that you never get pestered with this question again, if only someone will just tell me how to access this module and enter my translations.

FYI, yes I am using the latest version of both this module and Views, yes the versions match, and yes the module is enabled. Just thought I'd get that out of the way...

PS:

Comments

guix’s picture

Same here. The project seems to be dead, last commit is from July 2012

spidersilk’s picture

I actually did sort this one out, eventually. There's no translate option in the little gear menu when hovering over a view, but if you click the edit option, then look in the drop-down menu at the upper-right, under "edit view name/description", there IS a translate option there!

Although I'm not sure there was when I first looked everywhere trying to find it... Between then and when I eventually found it, I applied the patch from #1653170: Fatal error: Call to a member function unpack_translatables() and refreshed the strings for the views textgroup (multiple times, since I kept getting timeouts). So I'm not sure if that somehow enabled that option to show up, or if I just somehow missed it the first time around. But anyway, that's where I eventually found it. So the option is still there, just apparently in a different place than it used to be.

And yes, I will try and contribute some documentation once I finish the job I'm working on...

spidersilk’s picture

Status:Active» Closed (fixed)
flamel’s picture

Version:7.x-3.x-dev» 6.x-2.0

Hello, I have the same problem on Drupal 6. I don't find the "Edit" option...
My configuration:
Drupal 6.28
Internationalization 6.x-1.10
Views translation 6.x-2.0
Views 6.x-2.16

Someone can help me?
Thanks

flamel’s picture

Status:Closed (fixed)» Active

Hello, I have the same problem on Drupal 6. In the "Edit" window I don't find the menù in the upper-right.
My configuration:
Drupal 6.28
Internationalization 6.x-1.10
Views translation 6.x-2.0
Views 6.x-2.16

Someone can help me?
Thanks

flamel’s picture

I need help!
Where/how can I enter translations for views?

My configuration:
Drupal 6.28
Internationalization 6.x-1.10
Views translation 6.x-2.0
Views 6.x-2.16

Thanks

guix’s picture

Spider, thanks, without your input I could not find the translations link. Now works very nice in D7.

Pierre.Vriens’s picture

Component:Miscellaneous» Documentation
Issue summary:View changes
Related issues:+#1300532: Readme lacks basic details, +#979892: Improve documentation

Update about #6 above (about 1,5 years later): running into the same issue, with the same config (versions of modules, such as Views 6.x-2.16), though now in Drupal 6.34. Can't find any translate option/button/whatever either.

However I did notice that in the /admin/build/modules of the site where I ran into this issue, the description of this module "now" includes "... Requires Views 3.x", similar to what you can see in http://cgit.drupalcode.org/i18nviews/tree/i18nviews.info?h=6.x-2.x&id=6....

What I don't quite understand either is this: why does http://cgit.drupalcode.org/i18nviews/tree/i18nviews.info?h=6.x-2.x state "... Requires Views 2.x" ??? Isn't that a contradiction with what is on the project page, within Drupal 6 i18nviews 2.x of the roadmap?

PS 1: #7 above is about D7, this issue is about D6 combined with Views 2.x ...
PS 2: though I'd add some "related issues" that I discovered while researching this issue queue (none of them helped to get "this issue" sorted out.